/* 
   Test Replication Server - AgentGUI V1.0, November 6, 2001 

   Written by: 
      Alan Fedoruk                                           -- amf673@mail.usask.ca
      MADMUC Lab                                             -- http://bistrica.usask.ca/madmuc/index.htm
      Dept. of Computer Science, University of Saskatchewan. -- http://www.cs.usask.ca

   Copyright (c) 2001 Alan M. Fedoruk
*/





package testRS;

import javax.swing.*;

public class AgentGUI extends JFrame {

   private JPanel pane = new JPanel();
   private JTextArea text = new JTextArea( 10,40);
   private String name;


   public AgentGUI( String nm) {

      super(nm);
      name = nm;
      initComponents();
      pack();
      setVisible( true);

   } // ReqAgentGUI()



   private void initComponents() {

      JScrollPane scrollpane = new JScrollPane( text); 
      pane.add( scrollpane);
      getContentPane().add( pane);

   } // initComponents()


   /** 
    *  Write a message to the text box 
    *
    */
   public void write(String message) {

      text.append(message + "\n");

   } // write()


   public static void main ( String args[]) {

      new AgentGUI ("test").setVisible (true);

   } // main

} // AgentGUI

