package utils;

import javax.swing.*;


/** AgentGUI - A simple GUI that can be called from 
  an agent. Provides a text area to write on. 
*/
public class AgentGUI extends JFrame {

   private JPanel pane = new JPanel();
   private JTextArea text = new JTextArea( 10,40);
   private String name;


   public AgentGUI( String nm) {

      super(nm);
      name = nm;
      initComponents();
      pack();
      setVisible( true);

   } // ReqAgentGUI()



   private void initComponents() {

      JScrollPane scrollpane = new JScrollPane( text); 
      pane.add( scrollpane);
      getContentPane().add( pane);

   } // initComponents()


   /** 
    *  Write a message to the text box 
    *
    */
   public void write(String message) {

      text.append(message + "\n");

   } // write()


   public static void main ( String args[]) {

      new AgentGUI ("test").setVisible (true);

   } // main

} // AgentGUI

